package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Picasso
 */
public enum SanctionType {
    SANCTION("Sanción") {
        @Override
        public String toString() {
            return "SANCTION";
        }
    }, DISPOSITION("Disposición") {
        @Override
        public String toString() {
            return "DISPOSITION";
        }
    }, ACCIDENT("Siniestro") {
        @Override
        public String toString() {
            return "ACCIDENT";
        }
    }, ADD("Ingreso") {
        @Override
        public String toString() {
            return "ADD";
        }
    }, FEE("Multa") {
        @Override
        public String toString() {
            return "FEE";
        }
    }, ESTUDIO("Estudio socioeconómico") {
        @Override
        public String toString() {
            return "ESTUDIO";
        
        }
    }, RETORNO_EFECTIVO("Retorno de efectivo") {
        @Override
        public String toString() {
            return "RETORNO_EFECTIVO";
        
        }
    }, DISPOSICION_INGRESO("Disposición de ingreso") {
        @Override
        public String toString() {
            return "DISPOSICION_INGRESO";
        
        }
    }, GASTO_SIN_AFECTAR("Gasto sin afectar caja") {
        @Override
        public String toString() {
            return "GASTO_SIN_AFECTAR";
        
        }
    }, INGRESO_SINIESTRO("Ingreso por siniestro") {
        @Override
        public String toString() {
            return "INGRESO_SINIESTRO";
        
        }
    }, ABONO_DEUDA("Abono a deuda") {
        @Override
        public String toString() {
            return "ABONO_DEUDA";
        
        }
    }, DISPOSICION_FINIQUITO("Disposición de finiquito") {
        @Override
        public String toString() {
            return "DISPOSICION_FINIQUITO";
        
        }
    }, AGREGAR_DEUDA("Agregar deuda") {
        @Override
        public String toString() {
            return "AGREGAR_DEUDA";
        
        }
    }, FEE_TRANSFER("Multa depositada") {
        @Override
        public String toString() {
            return "FEE_TRANSFER";
        }
    }, INGRESO_PAGO_LAMINADO("Ingreso para pago laminado") {
        @Override
        public String toString() {
            return "INGRESO_PAGO_LAMINADO";
        }
    };

    private final String type;

    private SanctionType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

}
